import { CodeNode, ApiSource } from '@esydoc/share';
declare module ApiCallNode {
    type ExtraOptions = {
        pathPrefix: string;
        deps?: string[];
    } & ApiSource;
}
declare class ApiCallNode extends CodeNode {
    path: string;
    pathPrefix: string;
    deps: string[];
    assert: string;
    id: number;
    constructor(options: ApiCallNode.ExtraOptions);
    get fullPath(): string;
    generate(): string;
}
export default ApiCallNode;
